Package io.github.jdbcx.script

# Class ScriptHelper

java.lang.Object
io.github.jdbcx.script.ScriptHelper

public final class ScriptHelper extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`cli(Object obj, Object... more)`
`String`
`escapeDoubleQuote(Object obj)`
`String`
`escapeSingleQuote(Object obj)`
`String`
`format(Object obj, Object... args)`
`static ScriptHelper`
`getInstance()`
`String`
`read(Object obj)`
`String`
`shell(Object... more)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static ScriptHelper getInstance()

### cli

public String cli(Object obj, Object... more) throws IOException

Throws:
  `IOException`

### escapeSingleQuote

public String escapeSingleQuote(Object obj)

### escapeDoubleQuote

public String escapeDoubleQuote(Object obj)

### format

public String format(Object obj, Object... args)

### shell

public String shell(Object... more) throws IOException

Throws:
  `IOException`

### read

public String read(Object obj) throws IOException

Throws:
  `IOException`